Updating an issue with user or list format custom field, currently having value that is locked or

removed, clears that field

2013-03-07 18:22 - Jack Kurzecki

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.5.0   

Resolution: Fixed Affected version: 2.2.3

Description

This is the scenario:

1. issue is created and an active user is selected from the drop-down of the custom field with "user" format

2. that user is later locked

3. attempting to update the issue now clears the selection from the custom field

This is also happening on custom fields with "list" format, after the custom field list is updated.

It should be up to the person updating the issue to decide if new value should be selected rather than system clearing the field.

History

#1 - 2013-11-19 20:10 - Jack Kurzecki

This is a data loss issue.

The workaround is to never lock (remove from the system) users that are entered on "user format" custom fields and never remove entries from "list

format" custom fields, but that forces us to keep invalid selections in the interface.

#2 - 2013-11-19 20:24 - Jack Kurzecki

A fix would be to add <option value="[currently entered value]">[currently entered value]</option> to the <select> when updating issues, if that option

is not already present after generating all options for this dropdown.

#3 - 2013-11-19 21:27 - Jean-Philippe Lang

- Status changed from New to Confirmed

- Target version set to 2.5.0

#4 - 2013-12-22 15:47 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in 2.5.0.
